Function
goNext
Iterates to next position.
goNext(iterator)
Include Headers
seqan/basic.h, seqan/file.h, seqan/graph_types.h
Parameters

iterator | An iterator. iterator is set to the next position of an iteration through its container. Types: ForwardIteratorConcept: AnnotationTree Iterator, BottomUp Iterator, ModifiedIterator, TopDownHistory Iterator Adjacency Iterator, Bfs Iterator, Dfs Preorder Iterator, Edge Iterator, Iter, Out-Edge Iterator, Segment, Vertex Iterator

Remarks
This function is equivalent to ++iterator.
Member of
Bfs Iterator, BottomUp Iterator, Edge Iterator, Segment, Vertex Iterator, Dfs Preorder Iterator, Out-Edge Iterator, Adjacency Iterator, TopDownHistory Iterator
Example Programs
Iterator Basics
Part of Concept
BasicOutputIteratorConcept, ForwardIteratorConcept, InputIteratorConcept
See Also
goFurther, goBegin, goRoot, goNextUp, goPrevious, goEnd, goNextRight
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58